## setFloor

### Syntax:

    setFloor (floorFile);

### Purpose:

Sets a new floor plan, loading it from the floorFile file. Characters which are told to walk using the moveCharacter function will only be able to move within the specified floor.

If floorFile is NULL (or anything other than a file handle) the current floor will be removed. With no floor loaded, calls to moveCharacter will have no effect.

### Return value:

No return value.

### See also:

About the SLUDGE Floor Maker

showFloor

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012